Bug 177273 - x11/xtrlock: Update to version 2.2
Summary: x11/xtrlock: Update to version 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 19:40 UTC by tkato432
Modified: 2013-03-23 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.46 KB, patch)
2013-03-22 19:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-03-22 19:40:02 UTC
- Update to version 2.2

Remove file:
files/Makefile
files/patch-xtrlock.c
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 19:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-23 18:00:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-03-23 18:01:13 UTC
Author: miwi
Date: Sat Mar 23 18:00:59 2013
New Revision: 315060
URL: http://svnweb.freebsd.org/changeset/ports/315060

Log:
  - Update to 2.2
  
  PR:		177273
  Submitted by:	Ports Fury

Deleted:
  head/x11/xtrlock/files/
Modified:
  head/x11/xtrlock/Makefile   (contents, props changed)
  head/x11/xtrlock/distinfo   (contents, props changed)
  head/x11/xtrlock/pkg-descr   (contents, props changed)

Modified: head/x11/xtrlock/Makefile
==============================================================================
--- head/x11/xtrlock/Makefile	Sat Mar 23 18:00:14 2013	(r315059)
+++ head/x11/xtrlock/Makefile	Sat Mar 23 18:00:59 2013	(r315060)
@@ -1,29 +1,40 @@
-# New ports collection makefile for:	xtrlock
-# Date created:		18 May 2004
-# Whom:			Alexey Mikhailov <karma@ez.pereslavl.ru>
-#
+# Created by: Alexey Mikhailov <karma@ez.pereslavl.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	xtrlock
-PORTVERSION=	2.0.14
+PORTVERSION=	2.2
 CATEGORIES=	x11
-MASTER_SITES=	${MASTER_SITE_DEBIAN}
-MASTER_SITE_SUBDIR=	pool/main/x/xtrlock/
-DISTNAME=	${PORTNAME}_2.0-${PORTVERSION:E}
+MASTER_SITES=	DEBIAN
+DISTNAME=	${PORTNAME}_${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	X Transparent Lock
 
-LICENSE=	GPLv2 # or higher
-LICENSE_FILE=	${WRKSRC}/debian/copyright
+LICENSE=	GPLv2 # (or later)
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 USE_XORG=	x11
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-2.0
-MAKEFILE=	${FILESDIR}/Makefile
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib -lX11 -lcrypt
 
 MAN1=		xtrlock.1
 PLIST_FILES=	bin/xtrlock
 
+post-extract:
+	@${LN} -sf xtrlock.man ${WRKSRC}/xtrlock.1
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|<crypt.h>|<unistd.h>| ; \
+		 s|<values.h>|<limits.h>|' ${WRKSRC}/xtrlock.c
+
+do-build:
+	(cd ${WRKSRC} && ${CC} ${CFLAGS} -o xtrlock xtrlock.c ${LDFLAGS})
+
+do-install:
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} xtrlock ${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} xtrlock.1 ${MANPREFIX}/man/man1)
+
 .include <bsd.port.mk>

Modified: head/x11/xtrlock/distinfo
==============================================================================
--- head/x11/xtrlock/distinfo	Sat Mar 23 18:00:14 2013	(r315059)
+++ head/x11/xtrlock/distinfo	Sat Mar 23 18:00:59 2013	(r315060)
@@ -1,2 +1,2 @@
-SHA256 (xtrlock_2.0-14.tar.gz) = 2b25b6b91c33e61f1b9f6acf292cc34c58d8f04b00e4e3d2689c1b13c6714fbe
-SIZE (xtrlock_2.0-14.tar.gz) = 7746
+SHA256 (xtrlock_2.2.tar.gz) = eed63851f4ad9f3026fd0a73767c8d2e5e2b973e050d271be6ec5086faa11ef6
+SIZE (xtrlock_2.2.tar.gz) = 20716

Modified: head/x11/xtrlock/pkg-descr
==============================================================================
--- head/x11/xtrlock/pkg-descr	Sat Mar 23 18:00:14 2013	(r315059)
+++ head/x11/xtrlock/pkg-descr	Sat Mar 23 18:00:59 2013	(r315060)
@@ -1 +1,3 @@
 A minimal xlock with minimum usage of resources.
+
+WWW: http://packages.qa.debian.org/x/xtrlock.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"